Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07837 Gameplay Minor Always Jan 5, 2021, 15:23 Jan 9, 2021, 22:32
Tester umeyar View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver namcos21_c67.cpp
Version 0.227 Fixed in Version 0.228 Build 64-bit
Fixed in Git Commit 185437b Github Pull Request #
Summary 07837: starblad, starbladj: Coin counter does not work
Description Unable to detect coin insertion

The input test detects coin insertion, but
Since the counter does not move, the credit remains 0.
It seems that the free play setting does not affect the game play.

It's a machine translation, so I'm sorry if it's difficult to understand.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.227
Affected Sets / Systems starblad, starbladj
Attached Files
 
Relationships
related to 07842ResolvedAJR  luckywld, sgunner2: Credit buttons doesn't work 
Notes
3
User avatar
No.18329
MetalGod
Senior Tester
Jan 5, 2021, 19:46
edited on: Jan 5, 2021, 19:46
Confirmed.
Regression is Mame 0.227
User avatar
No.18338
Osso
Developer
Jan 6, 2021, 12:42
This got broken by the timer change here: https://git.redump.net/mame/commit/src/devices/cpu/m6502/m3745x.cpp?id=57baad2dab651c428063bd14cb5adfd3b321ace0
Reverting it restores correct operation.
User avatar
No.18358
AJR
Developer
Jan 9, 2021, 22:32
185437bcd950985bb1508bf63ca88895fd05ada9 seems to fix this as well as #07842.